Package com.pixelmed.ftp

# Class FTPApplicationProperties

java.lang.Object
com.pixelmed.ftp.FTPApplicationProperties

public class FTPApplicationProperties extends Object

This class provides common support to applications requiring properties related to FTP network services.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected FTPRemoteHostInformation`
`ftpRemoteHostInformation`

## Constructor Summary

Constructors
Constructor
Description
`FTPApplicationProperties()`
Create default properties.
`FTPApplicationProperties(Properties properties)`
Extract the ftp properties from the supplied properties.

## Method Summary

Modifier and Type
Method
Description
`FTPRemoteHostInformation`
`getFTPRemoteHostInformation()`
Return the network application information.
`Properties`
`getProperties(Properties properties)`
Retrieve the ftp properties.
`static void`
`main(String[] arg)`
Test the parsing of network properties from the specified file, by reading them and printing them.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ftpRemoteHostInformation

protected FTPRemoteHostInformation ftpRemoteHostInformation

## Constructor Details

### FTPApplicationProperties

public FTPApplicationProperties() throws FTPException

Create default properties.

Throws:
  `FTPException`

### FTPApplicationProperties

public FTPApplicationProperties(Properties properties) throws FTPException

Extract the ftp properties from the supplied properties.

Parameters:
  `properties` -
Throws:
  `FTPException`

## Method Details

### getProperties

public Properties getProperties(Properties properties)

Retrieve the ftp properties.

param properties the existing properties to add to (replacing corresponding properties already there), or null if none

Returns:
  the updated properties or a new set of properties if none supplied

### getFTPRemoteHostInformation

public FTPRemoteHostInformation getFTPRemoteHostInformation()

Return the network application information.

Returns:
  the network application information

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] arg)

Test the parsing of network properties from the specified file, by reading them and printing them.

Parameters:
  `arg` - one argument, a single file name that is the properties file